Index: trunk/workflow/templates/default/processes/default.css
===================================================================
--- trunk/workflow/templates/default/processes/default.css	(revision 795)
+++ trunk/workflow/templates/default/processes/default.css	(revision 1144)
@@ -58,5 +58,5 @@
 	color: #000000 !important;
 	#width:99%;
-	
+
 }
 #conteudo_corpo {
@@ -71,4 +71,8 @@
 	line-height:150%;
 	_width:100%;
+	-moz-border-radius-topright: 9px;
+	-moz-border-radius-topleft: 9px;
+	-moz-border-radius-bottomright: 9px;
+	-moz-border-radius-bottomleft: 9px;
 
 }
@@ -194,173 +198,13 @@
 }
 
-.form_opcoes {
-	font-family: Verdana, Arial, Helvetica, sans-serif !important;
-	font-size: 10px;
-	color: #FFFFFF;
-	text-align:center;
-	margin-top:10px;
-}
-.form_opcoes a {
-	color: #FFFFFF;
-}
-.form_opcoes a:hover {
-	color: #0067CE;
-}
-#cabecalho {
-	display:block;
-	background-color:#0099FF;
-	height:43px;
-	padding:0px;
-	margin:0px;
-	border-top:3px solid #5EB0FF;
-}
-
-#menu ul {
-	padding:0px;
-	margin:0px;
-	float: left;
-	width: 100%;
-	background-color:#F7F3EF;
-	list-style:none;
-	font:80% Tahoma;
-}
-
-#menu ul li { display: inline; }
-
-#menu ul li a {
-	background-color:#F7F3EF;
-	color: #333 !important;
-	text-decoration: none !important;
-	border-bottom:3px solid #8B7D6B;
-	padding: 2px 10px;
-	float:left;
-	margin-right:2px;
-}
-
-#menu ul li a:hover {
-/*	background-color:#D6D6D6; */
-	color: #5EB0FF !important;
-	border-bottom:3px solid #5EB0FF;
-	text-decoration: none !important;
-/*	font-weight:bold;
-*/}
-
-#rodape {
-	width:668px;
-	height:53px;
-	display:block;
-	background-color:#F6C491;
-	position: absolute;
-	top: 324px;
-	left:50%;
-	margin-left:-334px;
-}
-#rodape table {
-	width:100%;
-}
-.text_rodape {
-	font-family: Verdana, Arial, Helvetica, sans-serif !important;
-	font-size: 10px !important;
-	color: #87470E !important;
-	text-align:left;
-	padding-left:10px;
-	padding-right:10px;
-	line-height:150%;
-}
-h1 {
-	font-family:Arial, Helvetica, sans-serif !important;
-	font-size:14px !important;
-	font-weight:bold;
-	color:#000000 !important;
-	text-align:left;
-	margin: 0px 0px 2px 0px;
-	border-bottom:1px solid #8B7D6B;
-	#font-size:12px;
-}
-h2 {
-	display:block;
-	font-family:Verdana, Arial, Helvetica, sans-serif !important;
-	font-size:11px !important;
-	font-weight:bold;
-	color:#FFFFFF !important;
-	height:18px;
-	background-color:#333333;
-	padding: 1px 1px 1px 3px;
-	margin:3px 0px 3px 0px;
-}
-
-hr {
-	border-top:1px dashed #CDC0B0;
-	border-right:none;
-	border-bottom:none;
-	border-left:none;
-	height:1px;
-	margin:3px 0px 3px 0px;
-}
-
-.form_tabela {
-	text-align:left !important;
-	background-color:#FBFAF8 !important;
-	width:100%;
-	padding:10px !important;
-	#border: 10px solid #FBFAF8;
-
-}
-.form_tabela td {
-	font-family: Verdana, Arial, Helvetica, sans-serif !important;
-	font-size: 11px !important;
-	color:#000000 !important;
-	padding: 3px;
-	
-}
-form {
-	margin: 0px;
-	padding: 0px;
-}
-input {
-	font-family: Verdana, Arial, Helvetica, sans-serif !important;
-	font-size: 12px !important;
-	color: #000559 !important;
-	padding: 1px 0px 1px 4px !important;
-	border-top: 1px solid #808281 !important;
-	border-left: 1px solid #808281 !important;
-	border-right: 1px solid white !important;
-	border-bottom: 1px solid white !important;
-	vertical-align: middle !important;
-
-}
-.input_like_label {
-	font-family: Verdana, Arial, Helvetica, sans-serif !important;
-	font-size: 12px !important;
-	color: #000559 !important;
-	padding: 1px 0px 1px 4px !important;
-	vertical-align: middle !important;
-	border-width: 0px !important;
-	background-color: transparent !important;
-}
-input.checkbox {
-	border: 0px !important;
-}
-select {
-	font-family: Verdana, Arial, Helvetica, sans-serif !important;
-	font-size: 12px !important;
-	border-top: 1px solid #808281 !important;
-	border-left: 1px solid #808281 !important;
-	border-right: 1px solid white !important;
-	border-bottom: 1px solid white !important;
-
-}
-textarea {
-	font-family: Verdana, Arial, Helvetica, sans-serif !important;
-	font-size: 12px !important;
-	color: #000559 !important;
-	padding: 1px 0px 1px 4px !important;
-	border-top: 1px solid #808281 !important;
-	border-left: 1px solid #808281 !important;
-	border-right: 1px solid white !important;
-	border-bottom: 1px solid white !important;
-
-}
-.form_label {
+fieldset {
+	border: 0 none;
+}
+.div_form_linha {
+	margin-top:7px;
+	margin-bottom:8px;
+	clear: left;
+}
+.form_label, .div_form_label {
 	font-family: Verdana, Arial, Helvetica, sans-serif !important;
 	font-size: 11px !important;
@@ -370,4 +214,14 @@
 	text-align:left;
 	font-weight:bold;
+}
+.div_form_label {
+	clear: left;
+	float: left;
+	padding-left: 10px;
+	width: 163px;
+}
+.obrigatorio{
+	padding-left: 0px !important;
+	width: 173px;
 }
 .form_botao {
@@ -387,7 +241,184 @@
 	border-top: 2px solid white !important;
 	border-left: 2px solid white !important;
-
-
-}
+}
+
+.form_opcoes {
+	font-family: Verdana, Arial, Helvetica, sans-serif !important;
+	font-size: 10px;
+	color: #FFFFFF;
+	text-align:center;
+	margin-top:10px;
+}
+.form_opcoes a {
+	color: #FFFFFF;
+}
+.form_opcoes a:hover {
+	color: #0067CE;
+}
+#cabecalho {
+	display:block;
+	background-color:#0099FF;
+	height:43px;
+	padding:0px;
+	margin:0px;
+	border-top:3px solid #5EB0FF;
+}
+
+#menu ul {
+	padding:0px;
+	margin:0px;
+	float: left;
+	width: 100%;
+	background-color:#F7F3EF;
+	list-style:none;
+	font:80% Tahoma;
+}
+
+#menu ul li { display: inline; }
+
+#menu ul li a {
+	background-color:#F7F3EF;
+	color: #333 !important;
+	text-decoration: none !important;
+	border-bottom:3px solid #8B7D6B;
+	padding: 2px 10px;
+	float:left;
+	margin-right:2px;
+}
+
+#menu ul li a:hover {
+/*	background-color:#D6D6D6; */
+	color: #5EB0FF !important;
+	border-bottom:3px solid #5EB0FF;
+	text-decoration: none !important;
+/*	font-weight:bold;
+*/}
+
+#rodape {
+	width:668px;
+	height:53px;
+	display:block;
+	background-color:#F6C491;
+	position: absolute;
+	top: 324px;
+	left:50%;
+	margin-left:-334px;
+}
+#rodape table {
+	width:100%;
+}
+.text_rodape {
+	font-family: Verdana, Arial, Helvetica, sans-serif !important;
+	font-size: 10px !important;
+	color: #87470E !important;
+	text-align:left;
+	padding-left:10px;
+	padding-right:10px;
+	line-height:150%;
+}
+h1 {
+	font-family:Arial, Helvetica, sans-serif !important;
+	font-size:14px !important;
+	font-weight:bold;
+	color:#000000 !important;
+	text-align:left;
+	margin: 0px 0px 2px 0px;
+	border-bottom:1px solid #8B7D6B;
+	#font-size:12px;
+}
+h2 {
+	display:block;
+	font-family:Verdana, Arial, Helvetica, sans-serif !important;
+	font-size:11px !important;
+	font-weight:bold;
+	color:#FFFFFF !important;
+	height:18px;
+	background-color:#333333;
+	padding: 4px 1px 1px 10px;
+	margin:3px 0px 0px 0px;
+	-moz-border-radius-topright: 9px;
+	-moz-border-radius-topleft: 9px;
+}
+
+hr {
+	border-top:1px dashed #CDC0B0;
+	border-right:none;
+	border-bottom:none;
+	border-left:none;
+	height:1px;
+	margin:3px 0px 3px 0px;
+}
+
+.form_tabela, .div_form {
+	text-align:left !important;
+	background-color:#FBFAF8 !important;
+	padding:10px !important;
+	#border: 10px solid #FBFAF8;
+}
+.div_form {
+	padding: 4px !important;
+}
+.dark_table  {
+	background-color: #EFEFEF !important;
+	border: 0px !important!;
+}
+
+
+.form_tabela td {
+	font-family: Verdana, Arial, Helvetica, sans-serif !important;
+	font-size: 11px !important;
+	color:#000000 !important;
+	padding: 3px;
+
+}
+form {
+	margin: 0px;
+	padding: 0px;
+}
+input {
+	font-family: Verdana, Arial, Helvetica, sans-serif !important;
+	font-size: 12px !important;
+	color: #000559 !important;
+	padding: 1px 0px 1px 4px !important;
+	border-top: 1px solid #808281 !important;
+	border-left: 1px solid #808281 !important;
+	border-right: 1px solid white !important;
+	border-bottom: 1px solid white !important;
+	vertical-align: middle !important;
+
+}
+.input_like_label {
+	font-family: Verdana, Arial, Helvetica, sans-serif !important;
+	font-size: 12px !important;
+	color: #000559 !important;
+	padding: 1px 0px 1px 4px !important;
+	vertical-align: middle !important;
+	border-width: 0px !important;
+	background-color: transparent !important;
+}
+input.checkbox {
+	border: 0px !important;
+}
+select {
+	font-family: Verdana, Arial, Helvetica, sans-serif !important;
+	font-size: 12px !important;
+	border-top: 1px solid #808281 !important;
+	border-left: 1px solid #808281 !important;
+	border-right: 1px solid white !important;
+	border-bottom: 1px solid white !important;
+
+}
+textarea {
+	font-family: Verdana, Arial, Helvetica, sans-serif !important;
+	font-size: 12px !important;
+	color: #000559 !important;
+	padding: 1px 0px 1px 4px !important;
+	border-top: 1px solid #808281 !important;
+	border-left: 1px solid #808281 !important;
+	border-right: 1px solid white !important;
+	border-bottom: 1px solid white !important;
+
+}
+
 #barra_acao_top {
 	display:block;
@@ -465,10 +496,14 @@
 }
 #destacado, .destaque {
-	border: 1px solid #333333;
-	background-color: #CDC0B0;
+	border: 0px solid #333333;
+	background-color: #E1DFD2;
 	font-size: 12px !important;
 	#font-size: 11px !important;
 	padding: 10px;
-	color: #000000;
+	color: #403c31 !important;
+	-moz-border-radius-topright: 9px;
+	-moz-border-radius-topleft: 9px;
+	-moz-border-radius-bottomright: 9px;
+	-moz-border-radius-bottomleft: 9px;
 }
 
@@ -500,6 +535,8 @@
 	background-color:#333333;
 	height:18px;
-	padding:1px 1px 1px 0px;
+	padding:4px 1px 1px 10px;
 	margin:0px 0px 0px 0px;
+	-moz-border-radius-topright: 9px;
+	-moz-border-radius-topleft: 9px;
 }
 
@@ -552,10 +589,4 @@
 	text-align:left !important;
 }
-<<<<<<< .mine
-<<<<<<< .mine
-<<<<<<< .mine
-
-
-
 
 ul.horizontalMenu
@@ -605,5 +636,4 @@
 	vertical-align: middle;
 }
-=======
 
 ul.horizontalMenu
@@ -652,8 +682,5 @@
 {
     vertical-align: middle;
-}>>>>>>> .r859
-=======
->>>>>>> .r853
-=======
+}
 
 ul.horizontalMenu
@@ -702,3 +729,3 @@
 {
     vertical-align: middle;
-}>>>>>>> .r859
+}