Index: trunk/jabberit_messenger/java_source/src/ConvertLogs.java
===================================================================
--- trunk/jabberit_messenger/java_source/src/ConvertLogs.java	(revision 1014)
+++ 	(revision )
@@ -1,278 +1,0 @@
-/* 
- *	Jeti, a Java Jabber client, Copyright (C) 2004 E.S. de Boer  
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *	but WITHOUT ANY WARRANTY; without even the implied warranty of
- *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *	GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- *
- *	For questions, comments etc, 
- *	use the website at http://jeti.jabberstudio.org
- *  or mail me at eric@jeti.tk or Jabber at jeti@jabber.org
- *
- *	Created on 2-mei-2004
- */
- 
-import java.io.*;
-import java.net.URL;
-import java.net.URLDecoder;
-import java.text.ParseException;
-import java.text.SimpleDateFormat;
-import java.util.*;
-
-import javax.swing.JOptionPane;
-import javax.swing.ProgressMonitor;
-
-/**
- * @author E.S. de Boer
- *
- */
-public class ConvertLogs
-{
-	
-	private static SimpleDateFormat dateFormat = new SimpleDateFormat("EEE MMM dd HH:mm:ss zzz yyyy",Locale.US);
-	private static Map  map = new HashMap();
-	private static String path;
-	
-	public static void main(String[] args)
-	{
-		getPath();
-		indexDirectory(new File(path + "logs"));
-		saveLogs();
-		System.exit(0);
-	}
-	
-	private static String getPath()
-	{
-		// Now, search for and get the URL for this class.
-		URL url = ConvertLogs.class.getResource("ConvertLogs.class");
-		//System.out.println(url);
-		String urlString = null;
-
-		try
-		{ //remove %20 from program files etc
-			urlString = URLDecoder.decode(url.toString(), "UTF8"); //encode if to url? probaly not
-		}
-		catch (Exception e)
-		{
-			e.printStackTrace();
-		} //1.2 error
-
-		//System.out.println(url.getPath()  ); //werkt niet in 1.2
-		//System.out.println(url);
-		if (url.getProtocol().equals("jar"))
-		{
-			// Strip off JarURL-specific syntax.
-			urlString = urlString.substring(4);
-			urlString = urlString.substring(0, urlString.lastIndexOf("!"));
-			urlString = urlString.substring(0, urlString.lastIndexOf("/") + 1);
-		}
-		else urlString = ".....e:\\data\\java\\jeti\\";//urlString.substring(0, urlString.lastIndexOf("/jeti") + 1);
-		//System.out.println("df" + urlString);
-		path = urlString.substring(5);
-		return urlString;
-		/*
-		try
-		{
-			localURL = new URL(urlString);
-		}
-		catch (MalformedURLException ex)
-		{
-			ex.printStackTrace();
-		}
-		if(System.getProperty("file.separator").equals("/"))//unix? if mac then bug
-		{
-			path = urlString.substring(5);
-		}
-		else path = urlString.substring(6);
-		path = path.replace('/',File.separatorChar);
-		System.out.println(path);
-		System.out.println(urlString);
-		System.out.println(localURL);
-		*/
-	}
-
-	private static void indexDirectory(File dir) 
-	{
-		File[] files = dir.listFiles();
-		if(files==null)System.exit(1);
-		ProgressMonitor progress = new ProgressMonitor(null,"Indexing log files","", 0, files.length);
-		for (int i=0; i < files.length; i++) 
-	    {
-			if(progress.isCanceled()) break;
-			File f = files[i];
-			String name = f.getName();
-			//System.out.println(name);
-			if (name.endsWith(".txt")) 
-	        {
-				int atLocation = name.indexOf("@");
-				if (atLocation<0)
-				{//no @ do nothing with it
-					continue;
-				}
-				progress.setNote(name);
-	        	progress.setProgress(i);
-	        	if(name.startsWith("msn.",atLocation+1))
-	        	{
-	        		readLog(f,name.substring(0,atLocation),"msn");
-	        		
-	        	}
-	        	else if(name.startsWith("icq.",atLocation+1))
-	        	{
-	        		readLog(f,name.substring(0,atLocation),"icq");
-	        		
-	        	}
-	        	else if(name.startsWith("aim.",atLocation+1))
-	        	{
-	        		readLog(f,name.substring(0,atLocation),"aim");
-	        		
-	        	}
-	        	//else readLog(f,name.substring(0,atLocation),name.substring(atLocation+1,name.length()-4));
-	         }
-	    }
-		progress.close();
-	}
-	
-	private static void readLog(File file, String adres, String type)
-	{
-		String name = adres +"@"+ type +".txt";
-		
-		BufferedReader log=null;
-		try
-		{
-			log = new BufferedReader(new FileReader(file));
-			parseLog(log,name);
-		}
-		catch (FileNotFoundException e2)
-		{
-			return;
-		}
-		catch (IOException e2)
-		{
-			e2.printStackTrace();
-		}
-		finally
-		{
-			if(log!=null)
-				try
-				{
-					log.close();
-				}
-				catch (IOException e1)
-				{
-					e1.printStackTrace();
-				}
-		}
-		file.delete();
-	}
-	
-	
-	
-	private static void parseLog(BufferedReader reader, String name) throws IOException
-	{
-		StringBuffer text=null;
-		String line;
-		Date date=null;
-		List adresList =(List) map.get(name);
-		if(adresList==null)
-		{
-			adresList = new ArrayList();
-			map.put(name,adresList);
-		}
-		while((line = reader.readLine()) !=null)
-		{
-			if(line.equals("")) continue;
-			else if(line.startsWith("----------------") && line.length() > 50  && line.endsWith("----------------"))
-			{
-				String temp = line.substring(16);
-				temp = temp.substring(0,temp.length()- 16);
-				try
-				{
-					Date newdate = dateFormat.parse(temp);
-					//System.out.println(date);
-					if(text!=null)
-					{
-						adresList.add(new DateText(date, text.toString()));
-					}
-					text = new StringBuffer();
-					date = newdate;
-				} catch (ParseException e2)
-				{
-					text.append(line + System.getProperty("line.separator"));
-				}
-				//System.out.println(date);
-			}
-			else text.append(line + System.getProperty("line.separator"));
-		}
-		adresList.add(new DateText(date, text.toString()));
-	}
-	
-	private static void saveLogs()
-	{
-		for(Iterator i=map.entrySet().iterator();i.hasNext();)
-		{
-			Map.Entry entry = (Map.Entry)i.next();
-			String filename = (String) entry.getKey();
-			List texts = (List) entry.getValue();
-			Collections.sort(texts);
-			
-			String file = path + "logs" + File.separator + filename;
-			PrintWriter log=null;
-			try
-			{
-				log = new PrintWriter(new BufferedOutputStream(new FileOutputStream(file, true)), true);
-			}
-			catch (IOException e2)
-			{
-				e2.printStackTrace();
-				log.close();
-				continue;
-			}
-			for(Iterator j = texts.iterator();j.hasNext();)
-			{
-				((DateText)j.next()).save(log);
-			}
-			log.close();
-		}
-	}
-}
-
-class DateText implements Comparable
-{
-	private Date date;
-	private String text;
-	
-	public DateText(Date date, String text)
-	{
-		this.date = date;
-		this.text = text;
-	}
-	
-	public int compareTo(Object o)
-	{
-		return date.compareTo(((DateText)o).date);
-	}
-	
-	public void save(PrintWriter log)
-	{
-		log.println();
-		log.println("----------------" + date.toString() + "----------------");
-		log.println();
-		log.println(text);
-	}
-}
-/*
- * Overrides for emacs
- * Local variables:
- * tab-width: 4
- * End:
- */
Index: trunk/jabberit_messenger/java_source/src/IM.java
===================================================================
--- trunk/jabberit_messenger/java_source/src/IM.java	(revision 1014)
+++ 	(revision )
@@ -1,102 +1,0 @@
-import java.awt.BorderLayout;
-import java.awt.Color;
-import java.awt.Frame;
-import java.awt.Label;
-import java.awt.Window;
-import java.lang.reflect.Method;
-import java.net.MalformedURLException;
-import java.net.URL;
-import java.net.URLClassLoader;
-
-
-
-/**
- * remote Load jeti
- * use it to load jeti from network 
- * or on a multi user system
- * (only config files and logs are stored localy)
- */
-public class IM extends Window
-{
-	private Label from;
-	
-	public IM(Frame frame)
-	{
-		super(frame);
-		Label label = new Label("Jeti is Loading...");
-		label.setFont(new java.awt.Font("Serif", 1, 40)); 
-		label.setBackground(new Color(150,150,255));
-		add(label,BorderLayout.CENTER);
-		from = new Label("Loading");
-		from.setBackground(new Color(255,255,150));
-		add(from,BorderLayout.SOUTH); 
-		pack();
-		setLocationRelativeTo(null);
-	}
-	
-	
-    public static void main(String[] args) 
-    {
-		String path = System.getProperty("user.dir");
-		path = path.replace('\\','/');
-		path = "file:/" + path + "/";
-		System.out.println(path);
-//    	try
-//		{
-//			//System.out.println(args[0]);
-//			//
-//			System.out.println(new File(".").toURL());// getCanonicalPath());
-//		}
-//		catch (IOException e1)
-//		{
-//			// TODO Auto-generated catch block
-//			e1.printStackTrace();
-//		}
-		//if(true) return;
-    	Frame frame = new Frame();
-    	IM im = new IM(frame);
-    	im.show();
-		URL url = null;
-		URL url2[] = new URL[1];
-		try {
-			//url = new URL ("file:/e:/data/java/jeti/");
-			//url = new URL ("file:/z:/data/java/2m/classes/");
-			//url = new URL ("http://192.168.100.2/~eric/");
-		    url = new URL(args[0]);
-
-		   url2[0] = new URL (url + "Jeti.jar");
-		   im.from.setText("from: " + url2[0].toString());
-		   //url2[0] = url;
-		   System.out.println(url2[0]);
-		} catch (MalformedURLException e) 
-		{
-			im.from.setText(e.getMessage());
-			e.printStackTrace();
-		}
-		URLClassLoader loader = new URLClassLoader(url2);
-		Class start = null;
-		
-//		String path = null;
-//		URL urlPath =null;
-//		urlPath = IM.class.getResource("IM.class");
-//		try{//remove %20 from program files etc
-//			path = URLDecoder.decode(urlPath.toString(),"UTF8");//encode if to url? probaly not
-//		}catch (Exception e){e.printStackTrace();}//1.2 error + 1.4
-//		path = path.substring(0,path.lastIndexOf("/")+1);
-
-		try{
-			start = loader.loadClass("nu.fw.jeti.backend.Start");
-			Method m = start.getMethod("remoteLoad",new Class[]{java.net.URL.class,String.class});
-			m.invoke(null,new Object[]{url,path});
-		}catch(Exception e){e.printStackTrace();}
-		im.dispose();
-		frame.dispose();  
-    }
-}
-
-/*
- * Overrides for emacs
- * Local variables:
- * tab-width: 4
- * End:
- */