Index: trunk/phpgwapi/templates/default/css/celepar.css
===================================================================
--- trunk/phpgwapi/templates/default/css/celepar.css	(revision 1151)
+++ trunk/phpgwapi/templates/default/css/celepar.css	(revision 1172)
@@ -92,5 +92,5 @@
 }
 
-/*.divLoginbox 
+.divLoginbox 
 {
 	position:relative;
@@ -118,5 +118,5 @@
 	border-left: #9c9c9c 1px solid; 
 	border-bottom: #9c9c9c 1px solid
-}*/
+}
 
 .tblHeadApp {
@@ -246,16 +246,8 @@
 }
 
-#user_info
-{
-	color: white;
-}
-#links_bar
-{
-	        color: white;
-}
-
 #divStatusBar
 {
-	height:24px;
+	background-color:#f7f8fa;
+	height:15px;
 	padding-left:10px;
 	padding-top:0px;
@@ -301,6 +293,7 @@
 	color: #000066;
 	text-align: center;
-	padding: 0px;
-	background-color: #ebf0f7;
+	padding: 0px;	
+	background-image:url(../images/appbox-header-background21.png);
+	background-repeat: repeat-x;
 	height:24px;
 	line-height:24px;
@@ -318,5 +311,5 @@
 #divAppbox
 {
-	background-color: #ebf0f7;
+	background-color:#f7f7f7;
 	padding-right:1px;
 	padding-top:1px;
@@ -418,55 +411,233 @@
 }
 
+.toolbar
+{
+       background-image:url(../../../../phpgwapi/templates/default/images/fundo_topo.gif);
+       position:absolute;
+}
+
+.logo_expresso
+{
+
+	background:transparent url(../../../../phpgwapi/templates/default/images/logo_expresso_classic.png) no-repeat scroll right 0px;
+	left:820px;
+	position:absolute;
+	width:191px;
+}
+
 .navbar_but
 {
-	background-image: url(../../../../phpgwapi/templates/default/images/back_app.png) !important;
-	width: 40px;
-	height: 40px;
-	vertical-align: center;
-	text-align: center;
-	padding-right: 6px;
-	cursor:pointer;
-	cursor:hand;
-	background-repeat:no-repeat;
+        background-image: url(../../../../phpgwapi/templates/default/images/back_app_classic.png) !important;
+        width: 40px !important;
+        height: 40px !important;
+        padding: 0 19px 0 13px !important;
+        vertical-align: center !important;
+        text-align: center !important;
 }
 
 .navbar_butOver
 {
-	background-image: url(../../../../phpgwapi/templates/default/images/back_app_over.png) !important;
-	width: 40px;
-	height: 40px;
-	vertical-align: center !important;
-	text-align: center !important;
-	padding-right:6px;
-	cursor:pointer;
-	cursor:hand;
-	background-repeat:no-repeat;
+        background-image: url(../../../../phpgwapi/templates/default/images/back_app_classic.png) !important;
+        width: 40px !important;
+        height: 40px !important;
+        vertical-align: center !important;
+        text-align: center !important;
+	padding: 0 19px 0 13px !important;
+
 }
 
 .navbar_butOut
 {
-	background-image: url(../../../../phpgwapi/templates/default/images/back_app.png) !important;
-	width: 40px;
-	height: 40px;
-	vertical-align: center !important;
-	text-align: center !important;
-	padding-right:6px;
-	cursor:pointer;
-	cursor:hand;
-	background-repeat:no-repeat;
-
-}
-.toolbar
-{
-        background-image:url(../../../../phpgwapi/templates/default/images/fundo_topo.png);
-        position:absolute;
-}
-
-.logo_expresso
-{
-	position: absolute;
-	background:url(../../../../phpgwapi/templates/default/images/logo_expresso.png) no-repeat;
-	width: 191px;
-	left: 0px;
-	top: 3px;
-}
+        background-image: url(../../../../phpgwapi/templates/default/images/back_app_classic.png) !important;
+        width: 40px !important;
+        height: 40px !important;
+        vertical-align: center !important;
+        text-align: center !important;
+        padding: 0 19px 0 13px !important;
+
+
+}
+#expressoAdmin12id,
+#adminid,
+#homeid,
+#contactcenterid,
+#expressoMail12id,
+#newsadminid,
+#calendarid,
+#jabberitmessengerid,
+#logout_id
+{
+	width: 32px !important;
+	height: 32px !important;
+
+}
+
+.message_header{
+        background-color: #CCCCCC !important;
+}
+
+.table_message_header_box{
+        width: 100% !important;
+        color: black !important;
+        border-style: solid !important;
+        border-width: 0px !important;
+        border-collapse: collapse !important;
+        border-color: #bbbbbb !important;
+        font-family: Arial !important;
+        font-size: 13px !important;
+        cursor: pointer !important;
+}
+.font-menu
+{
+    text-decoration: none !important;
+    text-align: center !important;
+    font: bold 13px Lucidatypewriter,monospace !important;
+    color: #505050 !important;
+}
+.font-menu-sel
+{
+    text-decoration: none !important;
+    text-align: center !important;
+    font: bold 11px Lucidatypewriter,monospace !important;
+    color:#0000FF !important;
+}
+
+.menu-sel
+{
+    text-decoration: none !important;
+    text-align: center !important;
+    font: bold 11px Lucidatypewriter,monospace !important;
+    color:#0000FF !important;
+    height: 20px !important;
+    width:220px !important;
+    background-color: #F7F7F7 !important;
+    margin-bottom: 0px !important;
+    border-left: 1px solid #000000 !important;
+    border-top: 1px solid #000000 !important;
+    border-right: 1px solid #000000 !important;
+    padding:0px 5px 0px 0px !important;
+    -moz-border-radius: 9px 9px 0px 0px !important;
+    -moz-user-select: none !important;
+    cursor: pointer !important;
+}
+
+.menu
+{
+    text-decoration: none !important;
+    text-align: center !important;
+    color: #505050 !important;
+    height: 20px !important;
+    width:220px !important;
+    background-color:#E5E5E5 !important;
+    margin-bottom: 0px !important;
+    border-left: 1px solid #c0c0c0 !important;
+    border-top: 1px solid #c0c0c0 !important;
+    border-right: 1px solid #c0c0c0 !important;
+    border-bottom: 1px solid #000000 !important;
+    padding:0px 5px 0px 0px !important;
+    -moz-border-radius: 9px 9px 0px 0px !important;
+    -moz-user-select: none !important;
+    cursor: pointer !important;
+}
+
+.last_menu
+{
+        border-bottom: 1px solid #000000 !important;
+        -moz-border-radius: 0px 0px 0px 0px !important;
+}
+.conteudo {
+    font-family: Verdana, Arial, Helvetica, sans-serif !important;
+    font-size: 10px !important;
+    font-weight: normal !important;
+    color: #000033 !important;
+        padding: 1px !important;
+    border-color: gray gray gray gray !important;
+
+        border-right: 1px solid #000000 !important;
+        border-left: 1px solid #000000 !important;
+        border-bottom: 1px solid #000000 !important;
+        width:99.5% !important;
+    -moz-border-radius: 0px 0px 6px 6px !important;
+}
+
+.table_message{
+        background-color: #CCCCCC !important;
+        padding: 1px !important;
+        cursor: default !important;
+        border-width: 1px 1px 1px 1px !important;
+        border-spacing: 0px 1px !important;
+        border-style: outset outset outset outset !important;
+        border-color: gray gray gray gray !important;
+        border-collapse: separate !important;
+        -moz-border-radius: 3px 3px 3px 3px !important;
+}
+
+.content-menu {
+        padding: 3px 0px 3px 5px !important;
+        border-top: 1px solid #000000 !important;
+	border-right: 1px solid #000000 !important;
+	border-left: 1px solid #000000 !important;
+        border-bottom: 1px solid #000000 !important;
+       -moz-border-radius: 9px 9px 9px 9px !important;
+}
+.content-menu-td {
+        border: 1px solid #f7f7f7 !important;
+}
+
+.content-folders {
+        padding: 0px 0px 0px 0px !important;
+        width:162px !important;
+        border-top: 1px solid #000000 !important;
+	border-right: 1px solid #000000 !important;
+	border-left: 1px solid #000000 !important;
+        border-bottom: 1px solid #000000 !important;
+	-moz-border-radius: 9px 9px 9px 9px !important;
+        position: relative !important;
+        overflow: auto !important;
+}
+
+.message_options_trash,
+.message_options_import,
+.message_options_inactive,
+.message_options_export,
+.message_options_move,
+.message_options_print,
+.message_options_active,
+.message_options,
+.message_options_over
+{
+	color:blue !important;
+	font-weight: normal !important;
+        background-image: none !important;
+	padding:0 7 0 0 !important;
+}
+.l{
+        background-image: none !important;
+        color: #666666 !important;
+
+}
+.sl
+{
+        background-image: none !important;
+	color: blue !important;
+}
+.content-folders,
+.folders_degrade
+{
+	background-image: none !important;
+}
+
+.dsused
+{
+	background-image: url(../../../../expressoMail1_2/templates/default/images/dsused_classic.gif) !important;
+}
+.table_message {
+	background-image: none !important;
+}
+.tr_msg_read2,
+.tr_msg_read {
+-moz-user-select:none !important;
+background-color:#FFFFFF !important;
+border-bottom:1px solid #CFCFCF !important;
+color:black !important;
+}
Index: trunk/expressoMail1_2/templates/default/main.css
===================================================================
--- trunk/expressoMail1_2/templates/default/main.css	(revision 1151)
+++ trunk/expressoMail1_2/templates/default/main.css	(revision 1172)
@@ -505,2 +505,7 @@
 
 }
+.dsused
+{
+        background-image: url(../../../../expressoMail1_2/templates/default/images/dsused.gif);
+}
+
Index: trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.js	(revision 1141)
+++ trunk/expressoMail1_2/js/draw_api.js	(revision 1172)
@@ -1230,14 +1230,11 @@
 	options.appendChild(space2);
 	options.appendChild(option_reply);
-	/* TODO, template == default ? what hell you're doing*/
-	if (template == "default"){
-		var option_delete = document.createElement("SPAN");
-		option_delete.id = 'msg_opt_delete_'+ID;
-		option_delete.className = 'message_options';
-		option_delete.onclick = function(){proxy_mensagens.delete_msgs(info_msg.msg_folder, info_msg.msg_number, ID);};
-		option_delete.innerHTML = get_lang('Delete');
-		options.appendChild(space3);
-		options.appendChild(option_delete);
-	}
+	var option_delete = document.createElement("SPAN");
+	option_delete.id = 'msg_opt_delete_'+ID;
+	option_delete.className = 'message_options';
+	option_delete.onclick = function(){proxy_mensagens.delete_msgs(info_msg.msg_folder, info_msg.msg_number, ID);};
+	option_delete.innerHTML = get_lang('Delete');
+	options.appendChild(space3);
+	options.appendChild(option_delete);
 	
 	tr.appendChild(td);
@@ -2552,5 +2549,5 @@
 		td221.setAttribute("background","templates/"+template+"/images/dswarn.gif");
 	else
-		td221.setAttribute("background","templates/"+template+"/images/dsused.gif");
+		td221.className = 'dsused';
 	
 	tr221.appendChild(td221);