Index: branches/2.0/phpgwapi/templates/default/listUsers.php
===================================================================
--- branches/2.0/phpgwapi/templates/default/listUsers.php	(revision 1190)
+++ branches/2.0/phpgwapi/templates/default/listUsers.php	(revision 1190)
@@ -0,0 +1,175 @@
+<?php			
+	$current = $_GET['currentApp'];
+	$GLOBALS['phpgw_info']['flags'] = array(
+		'noheader' => True,
+		'nonavbar' => True,
+		'currentapp' => $current
+	);
+	
+	include('../../../header.inc.php');
+	//include('../../../admin/templates/celepar/head.inc.php');
+		
+	$owner	 =  $_SESSION['owner'];
+	$acl_app =  $_SESSION['acl_app'];
+	
+	if(!$acl_app)
+		$acl_app = $current;
+
+	if(!@is_object($GLOBALS['phpgw']->js))	{
+		
+		$GLOBALS['phpgw']->js = CreateObject('phpgwapi.javascript');
+	}
+		
+	$GLOBALS['phpgw']->common->phpgw_header();	
+	
+	
+	$t = &$GLOBALS['phpgw']->template;						
+	// seta o Template
+	$t->set_file(array('addUser_t' => '../../../phpgwapi/templates/celepar/listUsers.tpl'));
+
+	$obj_account = CreateObject('phpgwapi.accounts',$owner);
+
+	$post_select_organization = $_POST['select_organization'];
+	$post_select_sector = $_POST['select_sector'];
+	$change_organization = $_POST['change_organization'];
+	
+	$obj_org_sector = CreateObject('phpgwapi.sector_search_ldap');
+	if ((!$post_select_organization) && (!$post_select_sector)) //primeira vez
+	{
+		$user_org = $obj_account->get_organization($GLOBALS['phpgw_info']['user']['account_dn']);
+		$user_sector = $obj_account->get_sector($GLOBALS['phpgw_info']['user']['account_dn']);
+		$user_context = $obj_account->get_context($GLOBALS['phpgw_info']['user']['account_dn']);
+		
+		$organizations_info = $obj_org_sector->organization_search($GLOBALS['phpgw_info']['server']['ldap_context']);
+		@asort($organizations_info);
+		@reset($organizations_info);					
+		$sectors_info = $obj_org_sector->sector_search('ou='.$user_org.','.$GLOBALS['phpgw_info']['server']['ldap_context']);
+	}
+	else //mudou uma das combos
+	{
+		$user_org = $post_select_organization;
+		$user_sector = $post_select_sector;
+		if ($change_organization == "True")
+			$user_context = 'ou='.$user_org.','.$GLOBALS['phpgw_info']['server']['ldap_context'];
+		else
+			$user_context = $post_select_sector;
+		$organizations_info = $obj_org_sector->organization_search($GLOBALS['phpgw_info']['server']['ldap_context']);
+		@asort($organizations_info);
+		@reset($organizations_info);					
+		$sectors_info = $obj_org_sector->sector_search('ou='.$user_org.','.$GLOBALS['phpgw_info']['server']['ldap_context']);
+	}
+		
+	foreach($organizations_info as $organization)
+	{
+		$combo_organization .= '<option value="' . $organization . '"'; 	
+		
+		if (!$post_select_organization)
+		{
+			if($organization == $user_org)
+			{
+				$combo_organization .= ' selected';
+			}
+		}
+		else
+		{
+			if($organization == $post_select_organization)
+			{
+				$combo_organization .= ' selected';
+			}
+		}	
+		$combo_organization .= '>' .$organization.'</option>'."\n";
+	}
+	
+	$combo_sector .= '<option value="ou='.$user_org.','.$GLOBALS['phpgw_info']['server']['ldap_context'].'"> --------- </option>'."\n";
+	foreach($sectors_info as $sector)
+	{
+		$combo_sector .= '<option value="' . $sector->sector_context . '"';
+
+		if (!$post_select_sector)
+		{
+			if($sector->sector_name == $user_sector)
+				$combo_sector .= ' selected';
+		}
+		else
+		{
+			if($sector->sector_context == $post_select_sector)
+				$combo_sector .= ' selected';
+		}
+		$combo_sector .= '>' .$sector->sector_name.'</option>'."\n";
+	}			
+	
+	// Monta lista de Grupos e Usuários
+	$users = Array();
+	$groups = Array();
+	
+	$typeAccount = 'u';
+	
+	if($_GET['type']) 
+		$typeAccount = $_GET['type']; 
+
+	$ldap_host =$GLOBALS['phpgw_info']['server']['ldap_host'];
+	$ds = $GLOBALS['phpgw']->common->ldapConnect();
+    if ($ds) 
+    {
+		$sr=ldap_list($ds, $user_context, ("(&(cn=*)(phpgwaccounttype=".$typeAccount."))"));
+		$info = ldap_get_entries($ds, $sr);
+		
+		if($typeAccount == 'u'){ 
+			for ($i=0; $i<$info["count"]; $i++)
+			{
+				if ($info[$i]["phpgwaccountvisible"][0] == '-1')
+					continue;
+				$users[$uids=$info[$i]["uidnumber"][0]] = Array('name'	=>	$uids=$info[$i]["cn"][0], 'type'	=>	u );
+			}
+		}
+		else {
+			for ($i=0; $i<$info["count"]; $i++)	
+				$users[$uids=$info[$i]["gidnumber"][0]] = Array('name'	=>	$uids=$info[$i]["cn"][0], 'type'	=>	g);		
+		
+		}
+	}
+	ldap_close($ds);
+    	
+	@asort($users);
+	@reset($users);	
+//	@asort($groups);
+//	@reset($groups);
+
+	
+	$options ='';
+
+	
+	if($current == 'preferences'){
+		foreach($users as $id => $user_array) {
+			if($owner != $id){
+				$newId = 'u_'.$acl_app.'['.$id;			
+				$options .= '<option  value="'.$newId.'">'.utf8_decode($user_array['name']).'</option>'."\n";
+			}
+		}
+	}
+	else if($current == 'admin') {
+		foreach($users as $id => $user_array) {		
+			$options .= '<option  value="'.$id.'">'.utf8_decode($user_array['name']).'</option>'."\n";
+		}		
+	}
+
+	$t->set_var ('lang_Organization',lang('Organization'));
+	$t->set_var ('lang_Sector',lang('Sector'));
+	$t->set_var ('lang_Calendar',lang('Calendar'));
+	$t->set_var ('lang_Add_Participants',lang('Add Participants'));
+	$t->set_var ('lang_to_Search',lang('to Search'));
+	$t->set_var ('lang_Close',lang('Close'));
+	$t->set_var ('lang_Add',lang('Add'));
+	
+	if($current == 'preferences')
+		$t->set_var ('addUser','javascript:addUserAcl()');
+	else
+		$t->set_var ('addUser','javascript:addUser()');
+		
+	$t->set_var('options',$options);
+	$t->set_var('combo_organization', $combo_organization);
+	$t->set_var('combo_sector', $combo_sector);
+	$t->parse('out','addUser_t',true);
+	$t->p('out');
+	$GLOBALS['phpgw']->common->phpgw_exit();	
+?>
Index: branches/2.0/phpgwapi/templates/default/details.inc.php
===================================================================
--- branches/2.0/phpgwapi/templates/default/details.inc.php	(revision 1190)
+++ branches/2.0/phpgwapi/templates/default/details.inc.php	(revision 1190)
@@ -0,0 +1,3 @@
+<?php
+define( 'default_TEMPLATE_TITLE', 'default' );
+?>
Index: branches/2.0/phpgwapi/templates/default/help.tpl
===================================================================
--- branches/2.0/phpgwapi/templates/default/help.tpl	(revision 1190)
+++ branches/2.0/phpgwapi/templates/default/help.tpl	(revision 1190)
@@ -0,0 +1,17 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<HTML>
+<!-- BEGIN login_form -->
+<HEAD>
+<META http-equiv="Content-Type" content="text/html; charset={charset}">
+<META name="AUTHOR" content="dGroupWare http://www.eGroupWare.org">
+<META NAME="description" CONTENT="{website_title} login screen, working environment powered by eGroupWare">
+<META NAME="ROBOTS" CONTENT="NOINDEX, NOFOLLOW">
+<META NAME="keywords" CONTENT="{website_title} login screen, eGroupWare, groupware, groupware suite">
+<link href="./login.css" rel="stylesheet" type="text/css">
+<TITLE>{website_title} - {lang_login}</TITLE>
+<BODY>
+<div id="conteudo">
+{login_help}
+</div>
+</BODY>
+</HTML>
Index: branches/2.0/phpgwapi/templates/default/listUsers.tpl
===================================================================
--- branches/2.0/phpgwapi/templates/default/listUsers.tpl	(revision 1190)
+++ branches/2.0/phpgwapi/templates/default/listUsers.tpl	(revision 1190)
@@ -0,0 +1,51 @@
+
+<html>
+	<head>
+		<title>{lang_Add_Participants}</title>
+		<script src='js/listUsers.js' type='text/javascript'></script>
+	</head>
+	<body>
+		<form name="formAddUser" method="POST">	
+		 <center>	
+		  <table cellspacing="3" cellpadding="3">														
+		   <tr>
+			 <td>
+			  <div id="divAppboxHeader">{lang_Add_Participants}</div>
+			  <div id="divAppbox">
+			   <table border=0>
+				<tr><td>{lang_Organization}:</td></tr>
+				<tr><td><select name="select_organization" onchange="formAddUser.change_organization.value='True';formAddUser.submit()">.{combo_organization}.</select></td></tr>
+				<tr><td>{lang_Sector}:</td></tr>
+				<tr><td><select name="select_sector" onchange="formAddUser.submit()">.{combo_sector}.</select></td></tr>
+				<input type="hidden" name="change_organization" value="False">
+				<tr>
+				 <td>
+				  <select name="user_values" multiple style="width:250px" size="18" id="user_list_in">
+				  {options}
+				  </select>					
+				 </td>
+			    </tr>
+				<tr><td>&nbsp;</td>	</tr>
+				<tr>
+				 <td>   			
+				  <!--center>{lang_to_Search}:&nbsp;<input type="text" name="query" onkeyup="optionFinder(this)"></center-->   			
+				 </td>
+				</tr>				
+				<tr><td>&nbsp;</td>	</tr>
+				<tr>
+				 <td>
+				  <center>
+				   <input type="button" class="button" value="Adicionar" onClick="{addUser}">
+				   <input type="button" value="Fechar" onClick="javascript:window.close()">
+				  </center>
+				 </td>
+				</tr>		
+			   </table>
+			  </div>
+			 </td>	
+			</tr>
+		   </table>
+		  </center>				
+		 </form>
+	</body>
+</html>
Index: branches/2.0/phpgwapi/templates/default/login.css
===================================================================
--- branches/2.0/phpgwapi/templates/default/login.css	(revision 1190)
+++ branches/2.0/phpgwapi/templates/default/login.css	(revision 1190)
@@ -0,0 +1,156 @@
+body{
+	margin-top: 0;
+	margin-bottom: 0;
+	margin-left: 0;
+	margin-right: 0; 
+	padding-top: 0;
+	padding-bottom: 0;
+	padding-left: 0;
+	padding-right: 0;
+}
+
+a:link,a:visited
+{
+	cursor:pointer;
+	color: #006699; 
+	text-decoration: none;
+}
+
+a:hover,a:active
+{
+	cursor:pointer;
+	color: #ff9933;
+	text-decoration: underline;
+}
+#conteudo {
+        background:url(../../../phpgwapi/templates/default/images/back_pagina.jpg) repeat-x #fff;
+}
+
+#conteudo_corpo{
+        margin:auto 0; width:770px;
+}
+
+#superior {
+        background: url(../../../phpgwapi/templates/default/images/fundo1.jpg) no-repeat top left;
+        height:340px;
+}
+
+#login {
+        text-align:left;
+        position: relative;
+        top: 80px;
+        right:162px;
+}
+
+#login td {
+        text-align:left;
+}
+
+.login_label {
+        font-family:  Arial, Verdana,Helvetica, sans-serif;
+        font-size: 12px;
+        color: #003366;
+        font-weight: bold;
+}
+
+
+.button {
+        background:url(../../../phpgwapi/templates/default/images/back_botao.jpg) #1F4F7E no-repeat scroll left top;
+        color:#fff;
+        font-family: Arial,Verdana, Helvetica, sans-serif;
+        font-size:12px;
+        padding-top:2px 4px 2px 4px;
+        margin:2px 1px 0pt;
+        border: medium none;
+        font-weight: bold;
+        height:31px;
+        width:83px;
+}
+
+#caixa_login {
+	width: 262px; 
+	margin-right:10px;			
+	background: url("../../../phpgwapi/templates/default/images/corpo.jpg") repeat-y; 
+}
+
+#reflexo {
+	background:url(../../../phpgwapi/templates/default/images/topo_reflexo.jpg) no-repeat center top;
+}
+
+.button:hover {
+        background:url(../../../phpgwapi/templates/default/images/back_botao_over.jpg) #FD9C0E no-repeat top left;
+        color:#1F4F7E;
+}
+
+#inferior {
+        background: url(../../../phpgwapi/templates/default/images/fundo2.jpg) no-repeat top left;
+        height:146px;
+}
+
+#rodape {
+        text-align:left;
+        width:100%;
+        position: relative;
+        margin:0;
+}
+
+#rodape_login {
+	background: #FFF url("../../../phpgwapi/templates/default/images/rodape.jpg") no-repeat; 
+	height: 41px;
+	clear: both; 
+}
+
+#rodape table {
+        width:250px;
+        font-family:  Arial, Verdana,Helvetica, sans-serif;
+        font-size:11px;
+        color: #666666;
+        text-align:right;
+        margin-left:108px;
+        _margin-left:58px;
+}
+
+.ajuda {
+	text-align:left;
+	padding-top: 15px;
+	margin-left:50px;
+}
+.ajuda a {
+        font-family:  Arial, Verdana,Helvetica, sans-serif;
+        font-size:11px;
+        color: #FFF;
+        font-weight:bold;
+        text-decoration:none;
+}
+
+.ajuda a:hover {
+        text-decoration:underline;
+}
+
+.login_Label {
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 11px;
+	color: #000066;
+	padding-top: 0px;
+}
+
+.msgInicial {
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	height: 15px;
+	font-size: 12px;
+	color: #000066;
+	font-weight: bold;
+	padding-bottom: 13px;
+	padding-left: 0px;
+}
+
+.titulo_login {
+	font-family:  Arial, Verdana,Helvetica, sans-serif;
+	font-size: 14px;
+	color: #85A9CF;
+	font-weight: bold;
+	width:220px;
+	text-transform:uppercase;
+	line-height:22px;
+	padding:2px;
+}
Index: branches/2.0/phpgwapi/templates/default/accounts_popup.tpl
===================================================================
--- branches/2.0/phpgwapi/templates/default/accounts_popup.tpl	(revision 1190)
+++ branches/2.0/phpgwapi/templates/default/accounts_popup.tpl	(revision 1190)
@@ -0,0 +1,156 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd">
+<HTML LANG="en">
+<head>
+<title>{title}</title>
+<meta http-equiv="content-type" content="text/html"; charset="{charset}">
+
+<script LANGUAGE="JavaScript">
+	var userSelectBox = opener.document.forms["app_form"].elements['{select_name};
+
+	function ExchangeAccountSelect(thisform)
+	{
+		NewEntry = new Option(thisform.elements['accountdisplay'].value,thisform.elements['accountid'].value,false,true);
+ 		userSelectBox.options[userSelectBox.length] = NewEntry;
+	}
+</script>
+<script LANGUAGE="JavaScript">
+	function ExchangeAccountText(thisform)
+	{
+		opener.document.app_form.accountid.value = thisform.elements['accountid'].value;
+		opener.document.app_form.accountname.value = thisform.elements['accountdisplay'].value;
+	}
+</script>
+<link rel="stylesheet" type="text/css" href="{css_file}">
+</head>
+<body>
+<center>
+<table border="0" width="100%">
+	<tr>
+		<td colspan="4">
+			<table border="0" width="100%">
+				<tr>
+				{left}
+					<td align="center"><font face="{font}">{lang_showing}</font></td>
+				{right}
+				</tr>
+			</table>
+		</td>
+	</tr>
+	<tr>
+		<td width="100%" colspan="4" align="right">
+			<form method="POST" action="{search_action}">
+			<input type="text" name="query">&nbsp;<input type="submit" name="search" value="{lang_search}">
+			</form>
+		</td>
+	</tr>
+</table>
+
+<table border="0" width="100%" cellpadding="0" cellspacing="0">
+	<tr>
+		<td valign="top" width="20%">
+			<table border="0" width="100%" cellpadding="2" cellspacing="2">
+				<tr>
+					<td bgcolor="{th_bg}" colspan="2" align="center"><font face="{font}"><b>{lang_groups}</b></font></td>
+				</tr>
+<!-- BEGIN bla_intro -->
+				<tr>
+					<td bgcolor="{th_bg}" colspan="2"><font face="{font}">{lang_perm}</font></td>
+				</tr>
+
+<!-- END bla_intro -->
+
+<!-- BEGIN other_intro -->
+				<tr>
+					<td bgcolor="{th_bg}" colspan="2"><font face="{font}">{lang_perm}</font></td>
+				</tr>
+<!-- END other_intro -->
+
+<!-- BEGIN group_cal -->
+				<tr bgcolor="{tr_color}">
+					<td><a href="{link_user_group}"><font face="{font}">{name_user_group}</font></a></td>
+					<td align="center">
+					<form>
+						<input type="hidden" name="accountid" value="{accountid}">
+						<input type="hidden" name="accountdisplay" value="{account_display}">
+						<input type="image" src="{img}" onClick="{js_function}(this.form); return false;" name="{lang_select_group}" title="{lang_select_group}">
+					</form>
+					</td>
+				</tr>
+<!-- END group_cal -->
+
+<!-- BEGIN group_other -->
+
+				<tr bgcolor="{tr_color}">
+					<td><a href="{link_user_group}"><font face="{font}">{name_user_group}</font></a></td>
+				</tr>
+
+<!-- END group_other -->
+
+<!-- BEGIN all_intro -->
+				<tr height="5">
+					<td>&nbsp;</td>
+				</tr>
+				<tr>
+					<td bgcolor="{th_bg}" colspan="2"><font face="{font}">{lang_nonperm}</font></td>
+				</tr>
+
+<!-- END all_intro -->
+
+<!-- BEGIN group_all -->
+
+				<tr bgcolor="{tr_color}">
+					<td colspan="2"><a href="{link_all_group}"><font face="{font}">{name_all_group}</font></a></td>
+				</tr>
+
+<!-- END group_all -->
+
+
+			</table>
+		</td>
+		<td width="80%" valign="top">
+			<table border="0" width="100%" cellpadding="2" cellspacing="2">
+				<tr bgcolor="{th_bg}">
+					<td width="100%" bgcolor="{th_bg}" align="center" colspan="4"><font face="{font}"><b>{lang_accounts}</b></font></td>
+				</tr>
+				<tr bgcolor="{th_bg}">
+					<td width="30%" bgcolor="{th_bg}" align="center"><font face="{font}">{sort_lid}</font></td>
+					<td width="30%" bgcolor="{th_bg}" align="center"><font face="{font}">{sort_firstname}</font></td>
+					<td width="30%" bgcolor="{th_bg}" align="center"><font face="{font}">{sort_lastname}</font></td>
+					<td width="10%" bgcolor="{th_bg}">&nbsp;</td>
+				</tr>
+
+<!-- BEGIN accounts_list -->
+
+	<tr bgcolor="{tr_color}">
+		<td><font face="{font}">{lid}</font></td>
+		<td><font face="{font}">{firstname}</font></td>
+		<td><font face="{font}">{lastname}</font></td>
+		<form>
+			<input type="hidden" name="accountid" value="{accountid}">
+			<input type="hidden" name="accountdisplay" value="{account_display}">
+			<td align="center">
+				<input type="image" src="{img}" onClick="{js_function}(this.form); return false;" name="{lang_select_user}" title="{lang_select_user}"></td>
+		</form>
+	</tr>
+
+<!-- END accounts_list -->
+
+			</table>
+		</td>
+	</tr>
+</table>
+<table cellpadding="2" cellspacing="2">
+	<tr> 
+		<form>  
+			<input type="hidden" name="start" value="{start}">
+			<input type="hidden" name="sort" value="{sort}">
+			<input type="hidden" name="order" value="{order}">
+			<input type="hidden" name="query" value="{query}">
+			<input type="hidden" name="group_id" value="{group_id}">
+			<td><font face="{font}"><input type="button" name="Done" value="{lang_done}" onClick="window.close()"></font></td>
+		</form>
+	</tr>
+</table>
+</center>
+</body>
+</html>
Index: branches/2.0/phpgwapi/templates/default/help.php
===================================================================
--- branches/2.0/phpgwapi/templates/default/help.php	(revision 1190)
+++ branches/2.0/phpgwapi/templates/default/help.php	(revision 1190)
@@ -0,0 +1,24 @@
+<?php
+
+$GLOBALS['phpgw_info']['flags'] = array(
+	'disable_Template_class' => True,
+	'login'                  => True,
+	'currentapp'             => 'login',
+	'noheader'               => True
+);
+	require_once('../../../header.inc.php');
+	$GLOBALS['phpgw_info']['server']['template_dir'] = PHPGW_SERVER_ROOT . '/phpgwapi/templates/' . $GLOBALS['phpgw_info']['login_template_set'];
+	$tmpl = CreateObject('phpgwapi.Template', $GLOBALS['phpgw_info']['server']['template_dir']);
+	$tmpl->set_file(array('login_form' => 'help.tpl'));
+	$tmpl->set_var('website_title', $GLOBALS['phpgw_info']['server']['site_title']);
+        $tmpl->set_var('template_set',$GLOBALS['phpgw_info']['login_template_set']);
+	$GLOBALS['phpgw']->translation->init();
+	$GLOBALS['phpgw']->translation->add_app('loginhelp');
+	$GLOBALS['phpgw']->translation->add_app('loginhelp',$_GET['lang']);
+	if(lang('loginhelp_message') != 'loginhelp_message*')
+	{
+		$tmpl->set_var('login_help',lang('loginhelp_message'));
+	}
+	$tmpl->pfp('loginout','login_form');
+?>
+
Index: branches/2.0/phpgwapi/templates/default/hook_settings.inc.php
===================================================================
--- branches/2.0/phpgwapi/templates/default/hook_settings.inc.php	(revision 1190)
+++ branches/2.0/phpgwapi/templates/default/hook_settings.inc.php	(revision 1190)
@@ -0,0 +1,66 @@
+<?php
+	/**************************************************************************\
+	* eGroupWare - Preferences                                                 *
+	* http://www.eGroupWare.org                                                *
+	* --------------------------------------------                             *
+	*  This program is free software; you can redistribute it and/or modify it *
+	*  under the terms of the GNU General Public License as published by the   *
+	*  Free Software Foundation; either version 2 of the License, or (at your  *
+	*  option) any later version.                                              *
+	\**************************************************************************/
+	$template = $GLOBALS['phpgw_info']['server']['template_set'];
+	create_section('Preferences for the %1 template set',$template);
+
+	$start_and_logout_icons = array(
+		'yes'       => lang('yes'),
+		'no' => lang('no')
+	);
+
+	create_select_box(
+		'Show home and logout button in main application bar?',
+		'start_and_logout_icons',
+		$start_and_logout_icons,
+		'When you say yes the home and logout buttons are presented as applications in the main top applcation bar.'
+	);
+
+	create_input_box(
+		'Max number of icons in navbar',
+		'max_icons',
+		'How many icons should be shown in the navbar (top of the page). Additional icons go into a kind of pulldown menu, callable by the icon on the far right side of the navbar.','',3
+	);
+
+	create_check_box(
+		'Autohide Sidebox menu\'s',
+		'auto_hide_sidebox',
+		'Automatically hide the Sidebox menu\'s?'
+	);
+
+	$click_or_onmouseover = array(
+		'click'       => lang('Click'),
+		'onmouseover' => lang('On Mouse Over')
+	);
+
+	create_select_box(
+		'Click or Mouse Over to show menus',
+		'click_or_onmouseover',
+		$click_or_onmouseover,
+		'Click or Mouse Over to show menus?'
+	);
+
+	create_check_box(
+		'Disable slider effects',
+		'disable_slider_effects',
+		'Disable the animated slider effects when showing or hiding menus in the page? Opera and Konqueror users will probably must want this.'
+	);
+
+	create_check_box(
+		'Disable Internet Explorer png-image-bugfix',
+		'disable_pngfix',
+		'Disable the execution a bugfixscript for Internet Explorer 5.5 and higher to show transparency in PNG-images?'
+	);
+
+	create_check_box(
+		'Show page generation time',
+		'show_generation_time',
+		'Show page generation time on the bottom of the page?'
+	);
Index: branches/2.0/phpgwapi/templates/default/uiaccountsel.tpl
===================================================================
--- branches/2.0/phpgwapi/templates/default/uiaccountsel.tpl	(revision 2)
+++ 	(revision )
@@ -1,206 +1,0 @@
-
-<script LANGUAGE="JavaScript">
-	window.focus();
-
-	function addOption(id,label,value)
-	{
-		opener.addOption(id,label,value);
-
-		selectBox = document.getElementById('uiaccountsel_popup_selection');
-		if (selectBox) {
-			for (i=0; i < selectBox.length; i++) {
-				if (selectBox.options[i].value == value) {
-					selectBox.options[i].selected = true;
-					break;
-				}
-			}
-			if (i >= selectBox.length) {
-				selectBox.options[selectBox.length] = new Option(label,value,false,true);
-			}
-		}
-	}
-
-	function removeSelectedOptions(id)
-	{
-		openerSelectBox = opener.document.getElementById(id);
-		if (openerSelectBox == null) window.close();
-		selectBox = document.getElementById('uiaccountsel_popup_selection');
-		for (i=0; i < selectBox.length; i++) {
-			if (selectBox.options[i].selected) {
-				for (j=0; j < openerSelectBox.length; j++) {
-					if (openerSelectBox[j].value == selectBox.options[i].value) {
-						openerSelectBox.removeChild(openerSelectBox[j]);
-					}
-				}
-				selectBox.options[i--] = null;
-			}
-		}
-	}
-
-	function copyOptions(id)
-	{
-		openerSelectBox = opener.document.getElementById(id);
-		selectBox = document.getElementById('uiaccountsel_popup_selection');
-		for (i=0; i < openerSelectBox.length; i++) {
-			with (openerSelectBox.options[i]) {
-				if (selected) {
-					selectBox.options[selectBox.length] =  new Option(text,value);
-				}
-			}
-		}
-	}
-</script>
-
-<style type="text/css">
-	.letter_box,.letter_box_active {
-		background-color: #E8F0F0;
-		width: 15px;
-		border: 1px solid white;
-		text-align: center;
-		cursor: pointer;
-		cusror: hand;
-	}
-	.letter_box_active {
-		font-weight: bold;
-		background-color: #D3DCE3;
-	}
-	.letter_box_active,.letter_box:hover {
-		border: 1px solid black;
-		background-color: #D3DCE3;
-	}
-</style>
-
-<div id="divMain">
-<table border="0" width="100%">
-	<tr>
-		<td width="20%" rowspan="3">{accountsel_icon}</td>
-		<td align="right" colspan="5">
-			<form method="POST" action="{search_action}">
-				{query_type}
-				<input type="text" name="query" value="{prev_query}">
-				<input type="submit" name="search" value="{lang_search}">
-			</form>
-		</td>
-	</tr>
-	<tr>
-		<td colspan="5">
-			<table width="100%"><tr>
-<!-- BEGIN letter_search -->
-				<td class="{class}" onclick="location.href='{link}';">{letter}</td>
-<!-- END letter_search -->
-			</tr></table>
-		</td>
-	</tr>
-	<tr>
-		{left}
-		<td align="center">{lang_showing}</td>
-		{right}
-	</tr>
-</table>
-
-<table border="0" width="100%" cellpadding="0" cellspacing="0">
-	<tr>
-		<td valign="top" width="20%">
-			<table border="0" width="100%" cellpadding="2" cellspacing="2">
-				<tr>
-					<td class="th" colspan="2" align="center"><b>{lang_groups}</b></td>
-				</tr>
-<!-- BEGIN bla_intro -->
-				<tr>
-					<td class="th" colspan="2">{lang_perm}</td>
-				</tr>
-
-<!-- END bla_intro -->
-
-<!-- BEGIN other_intro -->
-				<tr>
-					<td class="th" colspan="2">{lang_perm}</td>
-				</tr>
-<!-- END other_intro -->
-
-<!-- BEGIN group_cal -->
-				<tr class="{tr_color}">
-					<td><a href="{link_user_group}" title="{lang_list_members}">{name_user_group}</a></td>
-					<td align="center">
-						<input type="image" src="{img}" onclick="{onclick}; return false;" title="{lang_select_group}">
-					</td>
-				</tr>
-<!-- END group_cal -->
-
-<!-- BEGIN group_other -->
-
-				<tr class="{tr_color}">
-					<td><a href="{link_user_group}" title="{lang_list_members}">{name_user_group}</a></td>
-				</tr>
-
-<!-- END group_other -->
-
-<!-- BEGIN all_intro -->
-				<tr height="5">
-					<td>&nbsp;</td>
-				</tr>
-				<tr>
-					<td class="th" colspan="2">{lang_nonperm}</td>
-				</tr>
-
-<!-- END all_intro -->
-
-<!-- BEGIN group_all -->
-
-				<tr class="{tr_color}">
-					<td colspan="2"><a href="{link_all_group}" title="{lang_list_members}">{name_all_group}</a></td>
-				</tr>
-
-<!-- END group_all -->
-
-
-			</table>
-		</td>
-		<td valign="top">
-			<table border="0" width="100%" cellpadding="2" cellspacing="2">
-				<tr class="th">
-					<td width="100%" class="th" align="center" colspan="4"><b>{lang_accounts}</b></td>
-				</tr>
-				<tr class="th">
-					<td align="center">{sort_lid}</td>
-					<td align="center">{sort_firstname}</td>
-					<td align="center">{sort_lastname}</td>
-					<td width="10%">&nbsp;</td>
-				</tr>
-
-<!-- BEGIN accounts_list -->
-
-	<tr class="{tr_color}">
-		<td>{lid}</td>
-		<td>{firstname}</td>
-		<td>{lastname}</td>
-		<td align="center">
-			<input type="image" src="{img}" onclick="{onclick}; return false;" title="{lang_select_user}">
-		</td>
-	</tr>
-
-<!-- END accounts_list -->
-
-			</table>
-		</td>
-		<td valign="top">
-			<table border="0" width="100%" cellpadding="2" cellspacing="2">
-				<tr class="th">
-					<td align="center" colspan="2"><b>{lang_selection}</b> {remove}</td>
-				</tr>
-				<tr class="row_off">
-					<td align="center">
-						{selection}
-					</td>
-				</tr>
-				<tr>
-					<td align="center" colspan="2">
-						<input type="button" name="close" value="{lang_close}" onClick="window.close()">
-					</td>
-				</tr>
-			</table>
-		</td>
-	</tr>
-</table>
-</div>
-