Index: branches/2.0/jabberit_messenger/templates/default/confServersJabber.tpl
===================================================================
--- branches/2.0/jabberit_messenger/templates/default/confServersJabber.tpl	(revision 946)
+++ branches/2.0/jabberit_messenger/templates/default/confServersJabber.tpl	(revision 1198)
@@ -18,5 +18,5 @@
 						<input id="organizationLdapJabberit" type="text" size="30" maxlength="30"/>
 						<label style="font-size:7pt !important;color:red;">
-							{lang_Example}&nbsp;.:&nbsp;ORGANIZACAO ( ou específica )&nbsp;&nbsp;ou * ( para todas )
+							{lang_Example}&nbsp;.:&nbsp;ORGANIZACAO&nbsp;&nbsp;(ou = CIA)
 						</label>
 					</td>
Index: branches/2.0/jabberit_messenger/templates/default/indexIM.tpl
===================================================================
--- branches/2.0/jabberit_messenger/templates/default/indexIM.tpl	(revision 946)
+++ branches/2.0/jabberit_messenger/templates/default/indexIM.tpl	(revision 1198)
@@ -81,26 +81,14 @@
 	<br/>
 	<br/>
-    <img src="templates/default/images/adicionar_contato.png" width="247px" height="191px" alt="Adicionar Contato" title="Adicionar Contato" align="left" style="margin-top:5px;"/>
+    <img src="templates/default/images/adicionar_contato.png" width="256px" height="160px" alt="Adicionar Contato" title="Adicionar Contato" align="left" style="margin-top:5px;"/>
     <br clear="all"/>
 	( figura 5 )
     <br/>
 	<br/>
-	<img src="templates/default/images/janela_adicionar_contatos.png" width="452" height="399" style="margin-top:5px;" alt="Adicionar Contato" title="Adicionar Contato"/>
+	<img src="templates/default/images/janela_adicionar_contatos.png" width="451" height="376" style="margin-top:5px;" alt="Adicionar Contato" title="Adicionar Contato"/>
 	<br clear="all"/>
 	( figura 6 )
-	<br/>	
-	<br/>
-	<h3>Adicionando um novo contato por Email</h3>
-	Também existe a opção de adicionar um novo usuário utilizando o seu email para as <span style="color:red; font-weight:bold;">organizações</span> listadas dentro do menu informações, que pode ser acessado clicando na imagem <img src="templates/default/images/view.png">.
-	Para adicionar um novo contato utilizando o seu email, marque a opção ( figura 6.1 ) e informe o email.
-	<b>Esta opção é apenas um informativo e nem todos os usuários possuem acesso a essa funcionalidade</b>. 
 	<br/>
 	<br/>
-	<img src="templates/default/images/janela_adicionar_contatos_email.png" width="452" height="399" style="margin-top:5px;" alt="Adicionar Contato" title="Adicionar Contato"/>
-	<br clear="all"/>
-	( figura 6.1 )
-	
-	<br/>
-
     <h2><a name="menu_right">8. Preferências Avançadas</a></h2>
 	<br/>
Index: branches/2.0/jabberit_messenger/templates/default/content.html
===================================================================
--- branches/2.0/jabberit_messenger/templates/default/content.html	(revision 946)
+++ branches/2.0/jabberit_messenger/templates/default/content.html	(revision 1198)
@@ -82,17 +82,10 @@
     <img src="images/adicionar_contato.png" alt="Adicionar Contato" title="Adicionar Contato" align="bottom" style="margin-top:5px;"/>
    	<br>( figura 5 )
-	<br><br>
-	<img align="bottom" src="images/janela_adicionar_contatos.png" style="margin-top:5px;" alt="Adicionar Contato" title="Adicionar Contato"/>
-	<br/>	
+    <br/>
 	<br/>
-	<h3>Adicionando um novo contato por Email</h3>
-	Também existe a opção de adicionar um novo usuário utilizando o seu email para as <span style="color:red; font-weight:bold;">organizações</span> listadas dentro do menu informações, que pode ser acessado clicando na imagem <img src="images/view.png">.
-	Para adicionar um novo contato utilizando o seu email, marque a opção ( figura 6.1 ) e informe o email.
-	<b>Esta opção é apenas um informativo e nem todos os usuários possuem acesso a essa funcionalidade</b>. 
+	<img src="images/janela_adicionar_contatos.png" width="451" height="376" style="margin-top:5px;" alt="Adicionar Contato" title="Adicionar Contato"/>
+	<br clear="all"/>
+	( figura 6 )
 	<br/>
-	<br/>
-	<img src="images/janela_adicionar_contatos_email.png" width="452" height="399" style="margin-top:5px;" alt="Adicionar Contato" title="Adicionar Contato"/>
-	<br clear="all"/>
-	( figura 6.1 )
 	<br/>
 	</div>
Index: branches/2.0/jabberit_messenger/templates/default/.packer.setup.js
===================================================================
--- branches/2.0/jabberit_messenger/templates/default/.packer.setup.js	(revision 1130)
+++ 	(revision )
@@ -1,1 +1,0 @@
-eval(function(p,a,c,k,e,d){e=function(c){return(c<a?'':e(c/a))+String.fromCharCode(c%a+161)};if(!''.replace(/^/,String)){while(c--){d[e(c)]=k[c]||e(c)}k=[function(e){return d[e]}];e=function(){return'\[\xa1-\xff]+'};c=1};while(c--){if(k[c]){p=p.replace(new RegExp(e(c),'g'),k[c])}}return p}('(©(){¡ ¯=ø ¢Î(\'¢š/\');¡ Ë=ø ¢Ï(\'¢š/\');© ù(Ä){¡ ¢=Ä.É[0];¡ ¬="";±(¡ i=0;i<¢.€.«;i++){¥(¢.€[i].·==\'¢Í\'){¥(¢.€[i].£==-1){Ì(\'¢Ì ¢Œ ¢Ê !\');Ÿ}¬+=¢.€[i].£;¢.€[i].œ[0].õ=³}¥(¢.€[i].·==\'¢Ë\'){¬+=¢.€[i].£+";";¢.€[i].£=\'\'}}¯.²("t.Ž.¢Ð",©(Š){¥(Š){¡ »={\'à\':®(\'¶\'),\'Ô\':®(\'¢Ñ\'),\'¢¶\':®(\'Õ\')};¡ º=§.š(\'¢Ö\');º.Œ.×=Ë.Ó(Š,\'¢Õ.Ï\',»)}},"¢É="+¬)}© ¢¢(Ä){¡ ¢=Ä.É[0];¡ Ö="";±(¡ i=0;i<¢.€.«;i++){¥(¢.€[i].Ù==\'ö\'){¡ Å=¢.€[i].è;Å=Å.å(Å.¢Ò(\'_\')+1);¥(¢.€[i].£!=""&&Û(¢.€[i].£)!=""){§.š(\'¢§\'+Å).Ç.Æ="ë";Ö=¢.€[i].£;¢.€[i].£=\'\'}Á{§.š(\'¢§\'+Å).Ç.Æ="é";Ì(®(\'¢× ¶!\'));Ÿ ž}}}¯.²("t.Ž.¢Å",©(Š){¥(Š){¡ »={\'à\':®(\'¶\'),\'Ô\':®(\'Õ\')};¡ º=§.š(\'¢À\');º.Œ.×=Ë.Ó(Š,\'¢¿.Ï\',»)}},"Ö="+Ö)}© ¢¯(){¥(ª.«>0){¯.²("t.Ž.¢Á",©(Š){¡ Ð=[[\'¿\',\'ü\'],[\'¢±\',\'¢¡\'],[\'È\',\'ÿ\'],[\'Í\',\'ý\'],[\'¢µ\',\'þ\'],[\'ì\',\'¢­\']];Š=Š.¢Š(\';\');±(¡ i=0;i<Š.«;i++){¡ ¬=Š[i].¢Š(\':\');±(¡ j ã Ð)¥(¬[0]==Ð[j][0])§.š(Ð[j][1]).£=¬[1]}},"¢»="+ª[0])}}© ú(Ä){¡ ¢=Ä.É[0];¡ ¬="";¡ Ý=ž;±(¡ i=0;i<¢.€.«;i++){¢°(¢.€[i].Ù){Ø"ö":¥(¢.€[i].£!=""){¬+=¢.€[i].·.ê()+";"+¢ª(¢.€[i].£)+"\\n";§.š(¢.€[i].·+"á").Ç.Æ="ë"}Á ¥(¢.€[i].·.ê()!="¢Ç"){§.š(¢.€[i].·+"á").Ç.Æ="é";Ý=³}Ú;Ø"ì":¥(¢.€[i].£==""){§.š(¢.€[i].·+"á").Ç.Æ="é";Ý=³}Á{¬+=¢.€[i].·.ê()+";"+¢ª(¢.€[i].£)+"\\n";§.š(¢.€[i].·+"á").Ç.Æ="ë"}Ú}}¥(!Ý){¬=¬.å(0,(¬.«-1));¯.²("t.¢í.¢Ø","¢ê="+¬);Ÿ ³}Á{Ì(\'¢é ¢î ¢ï ¢ô ¢ó !\');Ÿ ž}}© Û(£){¡ ¢¬=¢ò.¢ð(¢ñ);¡ æ="";¡ Î=0;¥(Ü<1)Ÿ"";¡ Ü=£?£.«:0;¢ç(Î<Ü){¥(£&&£.¢æ(Î)!=¢¬){æ=£.å(Î,Ü);Ú}Î++}Ÿ æ}© ï(){¡ Â=(ª.«==1)?ª[0]:ž;¡ ¢=Â.É[0];¡ Ñ=ž;¡ ä=\'\';±(¡ i=0;i<¢.€.«;i++){¥(¢.€[i].Ù==\'¢Ù\'){Ñ=³;¥(¢.€[i].è==\'¢®\')ä=¢.€[i].è}}¥(Ñ){¥(Ñ&&ä==\'¢®\')¢¢(Â);Á ù(Â)}Á{¥(Â)ú(Â)}}© ñ(){¡ î=§.š(\'ü\');¡ ç=§.š(\'¢¡\');¡ È=§.š(\'ÿ\');¡ Í=§.š(\'ý\');¡ â=§.š(\'þ\');¡ í=§.š(\'¢­\');¡ ¹=[[\'î\',\'Ò ¢ë ¢â !\'],[\'ç\',\'Ò o ¢¹ ¢º ¢Ÿ ¢³ !\'],[\'È\',\'Ò o ¢¹ ¢º ¢Ÿ ¢· !\'],[\'Í\',\'Ò ¢Œ ¢ã ¢· !\'],[\'â\',\'\'],[\'í\',\'\']];±(¡ i ã ¹){¥(!Û(Þ(¹[i][0]).£)&&Û(¹[i][1])){Ì(¹[i][1]);Þ(¹[i][0]).¢ä();Ÿ ž}}¯.²("t.Ž.¢å",©(Š){¡ »={\'à\':®(\'¶\'),\'Ô\':®(\'¢à ¢³\'),\'¢¶\':®(\'Õ\'),\'¢Ý\':®(\'¢ì\')};¡ º=§.š(\'¢²\');º.Œ.×=Ë.Ó(Š,\'¢².Ï\',»);±(¡ i ã ¹)Þ(¹[i][0]).£=""},"¿="+î.£+"&¢±="+ç.£+"&È="+È.£+"&Í="+Í.£+"&¢µ="+â.£+"&ì="+í.£)}© ¢©(){¡ Ê=§.š(\'¢Ó\');¡ ¶="";±(¡ i=0;i<Ê.œ.«;i++){¥(Ê.œ[i].õ==³&&Ê.œ[i].£!="-1")¶=Ê.œ[i].£}¥(¶){¡ À=§.š(\'¢ž\').£;¡ Ã=§.š(\'Ã\').£;¯.²("t.Ž.¢Ü",©(Š){¥(Š){¡ »={\'à\':®(\'¶\'),\'Ô\':®(\'Õ\')};¡ º=§.š(\'¢œ\');º.Œ.×=Ë.Ó(Š,\'¢œ.Ï\',»)}},"À="+À+"&¢£="+Ã+"&û="+¶)}}© ¢¥(){¥(ª.«>0){¡ ­=ª[0];¡ ¢=ª[1].É[0];¡ £=ž;±(¡ i=0;i<­.œ.«;i++){¥(­.œ[i].õ==³&&­.œ[i].£==\'³\')£=³}±(¡ i=0;i<¢.€.«;i++){¢°(¢.€[i].Ù){Ø\'ö\':Ø\'¢È\':¢.€[i].¢Ž=ž;¥(!£)¢.€[i].¢Ž=³;Ú}}¯.²("t.Ž.¢Ã",©(Š){¥(!Š)Ì(\'¢Ô !\')},"£="+£)}}© ô(){¥(ª.«>0){¡ ÷=ª[0];¡ ò=§.š(÷);¯.²("t.Ž.ô",©(Š){Š=Þ(Š);¥(Š)ò.Œ.ß(ò)},"¢»="+÷)}}© ð(){¥(ª.«>0){¡ ­=§.š(ª[0]);¡ ¿=ª[0];¡ À=§.š(\'¢ž\').£;¡ Ã=§.š(\'Ã\').£;¯.²("t.Ž.¢á",©(Š){¥(Š)­.Œ.ß(­)},"À="+À+"&¢£="+Ã+"&û="+¿)}}© ¢€(){¥(ª.«>0){¡ ­=§.š(ª[0]);¡ ¿=ª[0];¯.²("t.Ž.¢ß",©(Š){¥(Š)­.Œ.ß(­)},"¿="+¿)}}© ó(){¥(ª.«>0){¡ ­=§.š(ª[0]);¡ ¢«=ª[0];¯.²("t.Ž.ó",©(Š){¥(Š)­.Œ.ß(­)},"¢Ú="+¢«)}}© °(){}°.µ.¢Û=¢¯;°.µ.¢Þ=ô;°.µ.¢è=¢€;°.µ.ð=ð;°.µ.¢õ=ó;°.µ.ñ=ñ;°.µ.¢Ä=¢©;°.µ.¢Æ=¢¥;°.µ.ï=ï;¢Â.°=ø °})();',95,180,'var|form|value|elements|if|data|document|getElementById|function|arguments|length|values|element|jabberitGetLang|_0|constructScript|for|go|true|db_im|prototype|Organization|id|false|ArrayConf|Table|_1|parentNode|options|return|org|group|else|doc|gidNumber|pDocument|nameElement|color|style|serverLdap|forms|elementSel|_2|alert|contextLdap|iTemp|xsl|fields|flag|Informe|parse|lang2|Delete|organization|innerHTML|case|type|break|ltrim|v_length|field_blank|eval|removeChild|lang1|__label|userLdap|in|nameForm|substring|strTemp|hostName|name|red|toUpperCase|black|password|pwdLdap|orgLdap|sendf|removeOrgGroupsLocked|setConfServerJabber|elementTableTr|removeParticipantsExternal|removeHostsJabber|selected|text|idElement|new|addLdapAttributes|getInputs|ou|organizationLdapJabberit|contextLdapJabberit|userLdapJabberit|serverLdapJabberit|hostNameJabberit|addParticipantsExternals|gidnumber|removeOrgLdapAttributes|setParticipantsExternal|split|label_|jabberit_messenger|setOrganizationsForGroups|escape|participantsExternal|w_space|passwordLdapJabberit|HiddenJabberitExternals|editHostsJabber|switch|jabberName|tableConfServersJabber|Jabber|disabled|user|lang3|Ldap|nameGroup|nome|do|item|um|tableOrganizationsEnabledGroupsJabberit|servidor|tableExternalParticipants|tableExternalParticipantsJabberit|editHostJabber|window|setUseParticipantsExternal|setOrgFgroups|setOrganization|setPartExternal|JETTI_GROUP_CHAT_SERVER_JABBERIT|button|conf|atributo|organization_ldap_jabberit|Defina|attributes_ldap_list_jabberit|JITConnector|JITXTools|setAttributesLdap|Attribute|indexOf|organizations_ldap_jabberit|Error|tableOrganizations|tableHiddenJabberit|Define|ldapInternal|hidden|participants|editHostsJ|setOuGroupsLocked|lang4|removeHostsJ|removeAttributesLdap|Servers|removeOuGroupsLocked|organizacao|contexto|focus|setHostJabber|charAt|while|removeOrg|Preencha|val|uma|Edit|fileDefine|os|campos|fromCharCode|32|String|vermelho|em|removePartExternal'.split('|'),0,{}))